Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Drafting
  DrawingView links ändern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   DrawingView links ändern (150 mal gelesen)
Sylas
Mitglied



Sehen Sie sich das Profil von Sylas an!   Senden Sie eine Private Message an Sylas  Schreiben Sie einen Gästebucheintrag für Sylas

Beiträge: 211
Registriert: 19.11.2012

CATIA R26 Servixce Pack 3 auf Dell Precision M6800

erstellt am: 05. Jul. 2018 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen

Ich habe mir gewundert, wo die Stellung für Ansichten/Schnitten Benamung ist? CATIA gibst mir A,B,C usw. durch gantzte Zeichnung. Ich will mit neues Blatt mit "A" starten. Ist das Stellbar?

Gruß

Lukas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10120
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 05. Jul. 2018 19:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Servus Lukas

AFAIK ist  das nicht einstellbar (wäre dies auch normgerecht?).

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sylas
Mitglied



Sehen Sie sich das Profil von Sylas an!   Senden Sie eine Private Message an Sylas  Schreiben Sie einen Gästebucheintrag für Sylas

Beiträge: 211
Registriert: 19.11.2012

CATIA R26 Servixce Pack 3 auf Dell Precision M6800

erstellt am: 06. Jul. 2018 06:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von bgrittmann:
Servus Lukas

wäre dies auch normgerecht?

Gruß
Bernd


Bei uns der Kundenwunsch ist die Norm  

,
Gibt es vielleicht ein Möglichkeit zum DrawingLeaders collection mit VBA zugreifern?

Ich habe schon das versucht

Code:

Sub CATMain()
Dim DRW_Leader As DrawingLeader
Dim oDRW As DrawingDocument
Set oDRW = CATIA.ActiveDocument
Dim oSheet As DrawingSheet
Dim oView As DrawingView
Dim oLeader As DrawingLeader

Dim wid_sel As Selection
Dim InputObjectType(0)
Set wid_sel = CATIA.ActiveDocument.Selection
Set dwid_sel = wid_sel

InputObjectType(0) = "DrawingSheet"
sel = dwid_sel.SelectElement3(InputObjectType, "Wybierz arkusze, ktore chcesz edytowac", True, CATMultiSelTriggWhenUserValidatesSelection, False)

For i = 1 To dwid_sel.Count
    Set oSheet = dwid_sel.Item(i).Value
    For Each oView In oSheet.Views
        If (oView.Name <> "Main View" And oView.Name <> "Background View") Then
            'For Each oLeader In oView.Leaders
            For Each oLeader In oView.DrawingLeaders
                oLeader.HeadSymbol = catFilledArrow
            Next
        End If
    Next
Next
MsgBox ("Gotowe!")
End Sub


aber ohne Glück.
Kann jemand mir weiterhelfen?

Gruß
Lukas

[Diese Nachricht wurde von Sylas am 06. Jul. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Randle
Mitglied
CAD/PLM Consultant


Sehen Sie sich das Profil von Randle an!   Senden Sie eine Private Message an Randle  Schreiben Sie einen Gästebucheintrag für Randle

Beiträge: 442
Registriert: 12.04.2003

Win7 Pro x64/Win10
CATIA V5 R18, R19, R21, R24, R26

erstellt am: 06. Jul. 2018 08:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Hallo,

kann es sein das dein letzter Beitrag sich auf einen anderen Thread von dir (http://ww3.cad.de/foren/ubb/Forum134/HTML/004324.shtml?3ds) bezieht?

Erst fragst du nach der Benennung von Schnittansichten und dann postest du VBA Code um das Leadersymbol zu ändern.

Zu deinem Problem mit der Benennung von Schnittansichten:
Vorgesehen ist es nicht die Benennungen zu ändern, d.h. es gibt hier keine Einstellung in den Standards/Optionen zu. Man könnte Dateien aus dem CATIA Installationsverzeichnis bearbeiten, rate ich aber von ab. Wenn das unbedingt sein muss, würde ich das per Makro ändern.

Zu deinem Code und deinen Leaderproblem:

Views haben keine Leader. Textfelder haben Leader und Views haben (u.a.) Textfelder.
So müsste es funktionieren (habe es jetzt nicht getestet).

Code:

Dim oText as DrawingText
Dim intI as Integer
For i = 1 To dwid_sel.Count
    Set oSheet = dwid_sel.Item(i).Value
    For Each oView In oSheet.Views
        If (oView.Name <> "Main View" And oView.Name <> "Background View") Then
            For Each oText In oView.Texts
               If otext.Leaders.Count > 0 then
                  For intI = 1 to otext.Leaders.Count
                      otext.Leaders.Item(1).HeadSymbol = catFilledArrow
                  Next
               End if
            Next
        End If
    Next
Next


Viel Erfolg und Gruß
Randle

------------------
Wer für nichts steht, fällt für alles!

[Diese Nachricht wurde von Randle am 06. Jul. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sylas
Mitglied



Sehen Sie sich das Profil von Sylas an!   Senden Sie eine Private Message an Sylas  Schreiben Sie einen Gästebucheintrag für Sylas

Beiträge: 211
Registriert: 19.11.2012

CATIA R26 Servixce Pack 3 auf Dell Precision M6800

erstellt am: 06. Jul. 2018 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Randle:
Hallo,

kann es sein das dein letzter Beitrag sich auf einen anderen Thread von dir (http://ww3.cad.de/foren/ubb/Forum134/HTML/004324.shtml?3ds) bezieht?

Erst fragst du nach der Benennung von Schnittansichten und dann postest du VBA Code um das Leadersymbol zu ändern.

Zu deinem Problem mit der Benennung von Schnittansichten:
Vorgesehen ist es nicht die Benennungen zu ändern, d.h. es gibt hier keine Einstellung in den Standards/Optionen zu. Man könnte Dateien aus dem CATIA Installationsverzeichnis bearbeiten, rate ich aber von ab. Wenn das unbedingt sein muss, würde ich das per Makro ändern.

Zu deinem Code und deinen Leaderproblem:

Views haben keine Leader. Textfelder haben Leader und Views haben (u.a.) Textfelder.
So müsste es funktionieren (habe es jetzt nicht getestet).

Code:

Dim oText as DrawingText
Dim intI as Integer
For i = 1 To dwid_sel.Count
    Set oSheet = dwid_sel.Item(i).Value
    For Each oView In oSheet.Views
        If (oView.Name <> "Main View" And oView.Name <> "Background View") Then
            For Each oText In oView.Texts
               If otext.Leaders.Count > 0 then
                  For intI = 1 to otext.Leaders.Count
                      otext.Leaders.Item(1).HeadSymbol = catFilledArrow
                  Next
               End if
            Next
        End If
    Next
Next


Viel Erfolg und Gruß
Randle


Hallo
Erstmal danke für die Antwort.
Deinen Kode gibts mir:

Was kann das heißen?
Auserdem, es gibt kein Texts mit Leader sonder 2D Komponenten mit Leaders. Wie kann ich das ändern?

[Diese Nachricht wurde von Sylas am 06. Jul. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wolfi_z
Mitglied
Konstrukteur


Sehen Sie sich das Profil von wolfi_z an!   Senden Sie eine Private Message an wolfi_z  Schreiben Sie einen Gästebucheintrag für wolfi_z

Beiträge: 1252
Registriert: 04.12.2004

CATIA V5 in der aktuellen Umgebung des jeweiligem OEM ;-)
NX 11 Daimler

erstellt am: 06. Jul. 2018 11:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Randle:
(...) Erst fragst du nach der Benennung von Schnittansichten und dann postest du VBA Code um das Leadersymbol zu ändern. (...)

Und die Ueberschrift 'DrawingView links ändern' passt irgendwie zu keinem von beiden   

LG ... Wolfi 

------------------
NX neun minus CATIA fuenf ergibt Hartz IV 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10120
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 06. Jul. 2018 11:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Servus

In welcher Zeile kommt der Fehler? Wo hast du eine Enumeration? (vielleicht mal in der Doku nach catFilledArrow suchen)
Hast du die entsprechende Lib in VBA aktiviert? ggf kannst du auch du das Element der Enumeration auch über den Zähler ansprechen.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Randle
Mitglied
CAD/PLM Consultant


Sehen Sie sich das Profil von Randle an!   Senden Sie eine Private Message an Randle  Schreiben Sie einen Gästebucheintrag für Randle

Beiträge: 442
Registriert: 12.04.2003

Win7 Pro x64/Win10
CATIA V5 R18, R19, R21, R24, R26

erstellt am: 06. Jul. 2018 12:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sylas 10 Unities + Antwort hilfreich

Hallo,

also soweit ich das sehe kann man Leader von 2D Komponenten nicht per Makro editieren. Wie wäre es denn wenn du die 2D Komponente nach dem Einfügen zerlegst (Explode)? Enthalten die 2D Komponenten denn Textfelder?

Meinen Code von heute Morgen kannst du aufgrund der neuen Erkenntnisse vergessen.

Gruß
Randle

------------------
Wer für nichts steht, fällt für alles!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz